Subject: Re: [PATCH v6] net: batch skb dequeueing from softnet input_pkt_queue

From: Andi Kleen <[email-masked]>
Date: Mon, 3 May 2010 00:06:42 +0200

> But a task blocked on disk IO is probably blocked for a small amount of
> time, while on network, it can be for a long time. I am not sure its the
> right metric.

I think it needs a dynamic timeout.

I agree the reference count as is will not work well for networking.

> 
> I was expecting something based on recent history.
> Say if we have 20.000 wakeups per second, most likely we should not
> enter C2/C3 states...

That's what the menu governour already does, it just doesn't work
in some cases :/

-Andi